API ReferenceapicontentPOST /v1/peptides

POST /v1/peptides

Service: content · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "slug": {
      "type": "string"
    },
    "brandId": {
      "type": "string"
    },
    "summary": {
      "type": "string"
    },
    "mechanismMarkdown": {
      "type": "string"
    },
    "categoryChips": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "dosage": {
      "type": "string"
    },
    "sideEffects": {
      "type": "string"
    },
    "dosing": {
      "type": "object",
      "properties": {
        "dose": {
          "type": [
            "string",
            "null"
          ]
        },
        "frequency": {
          "type": [
            "string",
            "null"
          ]
        },
        "administration": {
          "type": [
            "string",
            "null"
          ]
        },
        "timing": {
          "type": [
            "string",
            "null"
          ]
        },
        "vialSizeMg": {
          "type": [
            "string",
            "null"
          ]
        },
        "reconstitutionMl": {
          "type": [
            "string",
            "null"
          ]
        },
        "cycleLength": {
          "type": [
            "string",
            "null"
          ]
        },
        "vialsPerMonth": {
          "type": [
            "string",
            "null"
          ]
        },
        "vialsPerCycle": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    },
    "protocolBody": {
      "type": "string"
    },
    "benefitsBody": {
      "type": "string"
    },
    "stackingBody": {
      "type": "string"
    },
    "researchBody": {
      "type": "string"
    },
    "researchReferences": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "title": {
            "type": "string"
          },
          "url": {
            "type": [
              "string",
              "null"
            ]
          },
          "doi": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "title"
        ]
      }
    },
    "relatedProducts": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "productSlug": {
            "type": "string"
          },
          "imageUrl": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "productSlug"
        ]
      }
    },
    "status": {
      "type": "string",
      "enum": [
        "draft",
        "published",
        "archived"
      ]
    },
    "publishedAt": {
      "type": "string"
    }
  },
  "required": [
    "name",
    "slug"
  ]
}

Responses

201 Created peptide

{
  "type": "object",
  "properties": {
    "id": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "name": {
      "type": "string"
    },
    "slug": {
      "type": "string"
    },
    "brandId": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "summary": {
      "type": [
        "string",
        "null"
      ]
    },
    "mechanismMarkdown": {
      "type": [
        "string",
        "null"
      ]
    },
    "categoryChips": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "string"
      }
    },
    "dosage": {
      "type": [
        "string",
        "null"
      ]
    },
    "sideEffects": {
      "type": [
        "string",
        "null"
      ]
    },
    "dosing": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "dose": {
          "type": [
            "string",
            "null"
          ]
        },
        "frequency": {
          "type": [
            "string",
            "null"
          ]
        },
        "administration": {
          "type": [
            "string",
            "null"
          ]
        },
        "timing": {
          "type": [
            "string",
            "null"
          ]
        },
        "vialSizeMg": {
          "type": [
            "string",
            "null"
          ]
        },
        "reconstitutionMl": {
          "type": [
            "string",
            "null"
          ]
        },
        "cycleLength": {
          "type": [
            "string",
            "null"
          ]
        },
        "vialsPerMonth": {
          "type": [
            "string",
            "null"
          ]
        },
        "vialsPerCycle": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    },
    "protocolBody": {
      "type": [
        "string",
        "null"
      ]
    },
    "benefitsBody": {
      "type": [
        "string",
        "null"
      ]
    },
    "stackingBody": {
      "type": [
        "string",
        "null"
      ]
    },
    "researchBody": {
      "type": [
        "string",
        "null"
      ]
    },
    "researchReferences": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "url": {
            "type": [
              "string",
              "null"
            ]
          },
          "doi": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "title"
        ]
      }
    },
    "relatedProducts": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "productSlug": {
            "type": "string"
          },
          "imageUrl": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "productSlug"
        ]
      }
    },
    "publishedAt": {
      "type": [
        "string",
        "null"
      ]
    },
    "createdAt": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "name",
    "slug",
    "brandId",
    "status",
    "createdAt",
    "updatedAt"
  ]
}

Example

curl -X POST https://content.platform.loop.health/v1/peptides \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'